package com.bonus.canteen.core.account.v3.web.vo;

import com.bonus.common.houqin.constant.SourceTypeEnum;
import com.bonus.canteen.core.common.constant.NuclearModeEnum;
import com.bonus.canteen.core.order.common.constants.OrderStateEnum;
import com.bonus.canteen.core.pay.common.constants.PayTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

public class AccExceptionRecordVO {
   @ApiModelProperty("记录id")
   private Long recordId;
   @ApiModelProperty("订单号")
   private Long orderId;
   @ApiModelProperty("设备订单号")
   private String macOrderId;
   @ApiModelProperty("下单时间yyyy-MM-dd HH:mm:ss")
   private LocalDateTime orderTime;
   @ApiModelProperty("订单总金额")
   private BigDecimal realAmount;
   private Integer sourceType;
   @ApiModelProperty("订单来源")
   private String sourceTypeName;
   private Integer payChannel;
   private Integer payType;
   @ApiModelProperty("支付方式")
   private String payTypeName;
   private Integer orderState;
   @ApiModelProperty("订单状态")
   private String orderStateName;
   @ApiModelProperty("异常原因")
   private String errorMsg;
   @ApiModelProperty("第三方订单号")
   private String thirdOrdNo;
   @ApiModelProperty("设备编号")
   private String machineNum;
   @ApiModelProperty("设备名称")
   private String machineName;
   @ApiModelProperty("设备sn码")
   private String machineSn;
   private Integer nuClearMode;
   @ApiModelProperty("核身方式")
   private String nuClearModeName;
   @ApiModelProperty("卡序列号（物理卡号）")
   private String serialNum;
   @ApiModelProperty("用户编号")
   private String custNum;
   @ApiModelProperty("用户姓名")
   private String custName;
   @ApiModelProperty("用户手机号")
   private String mobile;
   @ApiModelProperty("所属组织")
   private String orgFullName;

   public String getSourceTypeName() {
      return SourceTypeEnum.getDesc(this.sourceType);
   }

   public String getPayTypeName() {
      return PayTypeEnum.getDesc(this.payType);
   }

   public String getOrderStateName() {
      return OrderStateEnum.getDesc(this.orderState);
   }

   public String getNuClearModeName() {
      return NuclearModeEnum.getDesc(this.nuClearMode);
   }

   public Long getRecordId() {
      return this.recordId;
   }

   public Long getOrderId() {
      return this.orderId;
   }

   public String getMacOrderId() {
      return this.macOrderId;
   }

   public LocalDateTime getOrderTime() {
      return this.orderTime;
   }

   public BigDecimal getRealAmount() {
      return this.realAmount;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public Integer getPayChannel() {
      return this.payChannel;
   }

   public Integer getPayType() {
      return this.payType;
   }

   public Integer getOrderState() {
      return this.orderState;
   }

   public String getErrorMsg() {
      return this.errorMsg;
   }

   public String getThirdOrdNo() {
      return this.thirdOrdNo;
   }

   public String getMachineNum() {
      return this.machineNum;
   }

   public String getMachineName() {
      return this.machineName;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public Integer getNuClearMode() {
      return this.nuClearMode;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public void setRecordId(final Long recordId) {
      this.recordId = recordId;
   }

   public void setOrderId(final Long orderId) {
      this.orderId = orderId;
   }

   public void setMacOrderId(final String macOrderId) {
      this.macOrderId = macOrderId;
   }

   public void setOrderTime(final LocalDateTime orderTime) {
      this.orderTime = orderTime;
   }

   public void setRealAmount(final BigDecimal realAmount) {
      this.realAmount = realAmount;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setSourceTypeName(final String sourceTypeName) {
      this.sourceTypeName = sourceTypeName;
   }

   public void setPayChannel(final Integer payChannel) {
      this.payChannel = payChannel;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setPayTypeName(final String payTypeName) {
      this.payTypeName = payTypeName;
   }

   public void setOrderState(final Integer orderState) {
      this.orderState = orderState;
   }

   public void setOrderStateName(final String orderStateName) {
      this.orderStateName = orderStateName;
   }

   public void setErrorMsg(final String errorMsg) {
      this.errorMsg = errorMsg;
   }

   public void setThirdOrdNo(final String thirdOrdNo) {
      this.thirdOrdNo = thirdOrdNo;
   }

   public void setMachineNum(final String machineNum) {
      this.machineNum = machineNum;
   }

   public void setMachineName(final String machineName) {
      this.machineName = machineName;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setNuClearMode(final Integer nuClearMode) {
      this.nuClearMode = nuClearMode;
   }

   public void setNuClearModeName(final String nuClearModeName) {
      this.nuClearModeName = nuClearModeName;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }
}
